<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomSearchJoin StructType
 * @subpackage Structs
 */
class CustomSearchJoin extends AbstractStructBase
{
    /**
     * The customizationRef
     * @var \StructType\CustomizationRef
     */
    public $customizationRef;
    /**
     * The searchRecordBasic
     * @var \StructType\SearchRecordBasic
     */
    public $searchRecordBasic;
    /**
     * Constructor method for CustomSearchJoin
     * @uses CustomSearchJoin::setCustomizationRef()
     * @uses CustomSearchJoin::setSearchRecordBasic()
     * @param \StructType\CustomizationRef $customizationRef
     * @param \StructType\SearchRecordBasic $searchRecordBasic
     */
    public function __construct(\StructType\CustomizationRef $customizationRef = null, \StructType\SearchRecordBasic $searchRecordBasic = null)
    {
        $this
            ->setCustomizationRef($customizationRef)
            ->setSearchRecordBasic($searchRecordBasic);
    }
    /**
     * Get customizationRef value
     * @return \StructType\CustomizationRef|null
     */
    public function getCustomizationRef()
    {
        return $this->customizationRef;
    }
    /**
     * Set customizationRef value
     * @param \StructType\CustomizationRef $customizationRef
     * @return \StructType\CustomSearchJoin
     */
    public function setCustomizationRef(\StructType\CustomizationRef $customizationRef = null)
    {
        $this->customizationRef = $customizationRef;
        return $this;
    }
    /**
     * Get searchRecordBasic value
     * @return \StructType\SearchRecordBasic|null
     */
    public function getSearchRecordBasic()
    {
        return $this->searchRecordBasic;
    }
    /**
     * Set searchRecordBasic value
     * @param \StructType\SearchRecordBasic $searchRecordBasic
     * @return \StructType\CustomSearchJoin
     */
    public function setSearchRecordBasic(\StructType\SearchRecordBasic $searchRecordBasic = null)
    {
        $this->searchRecordBasic = $searchRecordBasic;
        return $this;
    }
}
